import { AxElement } from '../../../elements/ax-element';
import { AttributeData } from '../../../fields/attribute-data';
export declare class Page {
    id: number;
    guid: string;
    name: string;
    elements: Array<AxElement>;
    isDeleted: boolean;
    enableDrillThrough: boolean;
    drillData: Array<AttributeData>;
    constructor(page?: Page);
    /**function to create pages object with existing values
    *
    *@param page
    *
    */
    static createPages(pages: Array<Page>): Array<Page>;
    newPage(): void;
    /**function to create page object with existing values
    *
    *@param Page
    *
    */
    page(_page: Page): void;
}
